Index: trunk/examples/extended/field/field02/src/F02EventAction.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02EventAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02EventAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02EventAction.cc,v 1.6 2006/06/29 17:18:02 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02EventActionMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02EventActionMessenger.cc,v 1.5 2006/06/29 17:18:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02FieldMessenger.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02FieldMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02FieldMessenger.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: F02FieldMessenger.cc,v 1.6.2.1 2008/05/05 09:23:53 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: F02FieldMessenger.cc,v 1.8 2008/05/14 15:27:13 tnikitin Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -61,9 +61,10 @@
   UpdateCmd->AvailableForStates(G4State_Idle);
       
-  ElFieldCmd = new G4UIcmdWithADouble("/field/setFieldZ",this);  
+  ElFieldCmd = new G4UIcmdWithADoubleAndUnit("/field/setFieldZ",this);  
   ElFieldCmd->SetGuidance("Define uniform Electric field.");
   ElFieldCmd->SetGuidance("Electric field will be in Z direction.");
-  ElFieldCmd->SetGuidance("Value of Electric field has to be given in Volt/mm");
-  ElFieldCmd->SetParameterName("Ez",false);
+  ElFieldCmd->SetGuidance("Value of Electric field has to be given in volt/m");
+  ElFieldCmd->SetParameterName("Ez",false,false);
+  ElFieldCmd->SetDefaultUnit("volt/m");
   ElFieldCmd->AvailableForStates(G4State_Idle); 
  
Index: trunk/examples/extended/field/field02/src/F02PhysicsList.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02PhysicsList.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02PhysicsList.cc,v 1.11 2007/05/23 13:40:28 tnikitin Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 
Index: trunk/examples/extended/field/field02/src/F02PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02PhysicsListMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02PhysicsListMessenger.cc,v 1.6 2006/06/29 17:18:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02PrimaryGeneratorAction.cc,v 1.5 2006/06/29 17:18:15 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02PrimaryGeneratorMessenger.cc,v 1.5 2006/06/29 17:18:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02RunAction.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02RunAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02RunAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02RunAction.cc,v 1.8 2006/06/29 17:18:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02RunMessenger.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02RunMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02RunMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02RunMessenger.cc,v 1.6 2006/06/29 17:18:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02StepCut.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02StepCut.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02StepCut.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02StepCut.cc,v 1.3 2006/06/29 17:18:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field02/src/F02SteppingAction.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02SteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02SteppingAction.cc,v 1.6 2006/06/29 17:18:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field02/src/F02SteppingMessenger.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02SteppingMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02SteppingMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02SteppingMessenger.cc,v 1.4 2006/06/29 17:18:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field02/src/F02SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/field/field02/src/F02SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/field/field02/src/F02SteppingVerbose.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F02SteppingVerbose.cc,v 1.6 2006/06/29 17:18:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/field/field03/field03.cc
===================================================================
--- trunk/examples/extended/field/field03/field03.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/field03.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: field03.cc,v 1.8 2006/06/29 17:18:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03CalorHit.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03CalorHit.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03CalorHit.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03CalorHit.hh,v 1.4 2006/06/29 17:18:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03CalorimeterSD.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03CalorimeterSD.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03CalorimeterSD.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03CalorimeterSD.hh,v 1.4 2006/06/29 17:18:38 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03DetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03DetectorConstruction.hh,v 1.6 2006/06/29 17:18:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03DetectorMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03DetectorMessenger.hh,v 1.4 2006/06/29 17:18:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03EventAction.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03EventAction.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03EventAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03EventAction.hh,v 1.4 2006/06/29 17:18:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03EventActionMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03EventActionMessenger.hh,v 1.3 2006/06/29 17:18:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03FieldMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03FieldMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03FieldMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03FieldMessenger.hh,v 1.4 2006/06/29 17:18:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03FieldSetup.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03FieldSetup.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03FieldSetup.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03FieldSetup.hh,v 1.2 2006/06/29 17:18:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //  A class for setting up the Magnetic Field of the setup, and 
Index: trunk/examples/extended/field/field03/include/F03PhysicsList.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03PhysicsList.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PhysicsList.hh,v 1.6 2007/05/23 13:39:01 tnikitin Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field03/include/F03PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03PhysicsListMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PhysicsListMessenger.hh,v 1.4 2006/06/29 17:18:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03PrimaryGeneratorAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PrimaryGeneratorAction.hh,v 1.4 2006/06/29 17:18:59 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03PrimaryGeneratorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 17:19:01 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03RunAction.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03RunAction.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03RunAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03RunAction.hh,v 1.6 2006/06/29 17:19:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03RunMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03RunMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03RunMessenger.hh	(revision 1230)
@@ -27,5 +27,5 @@
 //
 // $Id: F03RunMessenger.hh,v 1.4 2006/06/29 17:19:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/field/field03/include/F03StepCut.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03StepCut.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03StepCut.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03StepCut.hh,v 1.5 2006/06/29 17:19:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03SteppingAction.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03SteppingAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03SteppingAction.hh,v 1.5 2006/06/29 17:19:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/include/F03SteppingMessenger.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03SteppingMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03SteppingMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03SteppingMessenger.hh,v 1.3 2006/06/29 17:19:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field03/include/F03SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/field/field03/include/F03SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/field/field03/include/F03SteppingVerbose.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03SteppingVerbose.hh,v 1.4 2006/06/29 17:19:15 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //  
Index: trunk/examples/extended/field/field03/src/F03CalorHit.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03CalorHit.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03CalorHit.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03CalorHit.cc,v 1.4 2006/06/29 17:19:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03CalorimeterSD.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03CalorimeterSD.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03CalorimeterSD.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03CalorimeterSD.cc,v 1.6 2006/06/29 17:19:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03DetectorConstruction.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: F03DetectorConstruction.cc,v 1.12 2006/06/29 17:19:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: F03DetectorConstruction.cc,v 1.13 2009/11/05 01:10:06 gum Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -200,5 +200,5 @@
   // Carbon dioxide, STP
 
-  density = 1.977*mg/cm3;
+  density = 1.842*mg/cm3;
   G4Material* CarbonDioxide = new G4Material(name="CO2", density, nel=2);
   CarbonDioxide->AddElement(elC,1);
Index: trunk/examples/extended/field/field03/src/F03DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03DetectorMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03DetectorMessenger.cc,v 1.5 2006/06/29 17:19:26 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03EventAction.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03EventAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03EventAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03EventAction.cc,v 1.6 2006/06/29 17:19:28 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03EventActionMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03EventActionMessenger.cc,v 1.4 2006/06/29 17:19:30 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03FieldMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03FieldMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03FieldMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03FieldMessenger.cc,v 1.7 2006/06/29 17:19:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03FieldSetup.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03FieldSetup.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03FieldSetup.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03FieldSetup.cc,v 1.5 2007/04/28 01:31:12 gum Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //  
Index: trunk/examples/extended/field/field03/src/F03PhysicsList.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03PhysicsList.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PhysicsList.cc,v 1.11 2007/05/23 13:39:16 tnikitin Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 
Index: trunk/examples/extended/field/field03/src/F03PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03PhysicsListMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PhysicsListMessenger.cc,v 1.5 2006/06/29 17:19:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PrimaryGeneratorAction.cc,v 1.6 2006/06/29 17:19:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03PrimaryGeneratorMessenger.cc,v 1.5 2006/06/29 17:19:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03RunAction.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03RunAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03RunAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03RunAction.cc,v 1.9 2006/06/29 17:19:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field03/src/F03RunMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03RunMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03RunMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03RunMessenger.cc,v 1.6 2006/06/29 17:19:48 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03StepCut.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03StepCut.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03StepCut.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03StepCut.cc,v 1.3 2006/06/29 17:19:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field03/src/F03SteppingAction.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03SteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03SteppingAction.cc,v 1.6 2006/06/29 17:19:53 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/field03/src/F03SteppingMessenger.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03SteppingMessenger.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03SteppingMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03SteppingMessenger.cc,v 1.5 2006/06/29 17:19:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/field/field03/src/F03SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/field/field03/src/F03SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/field/field03/src/F03SteppingVerbose.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F03SteppingVerbose.cc,v 1.5 2006/06/29 17:19:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
Index: trunk/examples/extended/field/field04/field04.cc
===================================================================
--- trunk/examples/extended/field/field04/field04.cc	(revision 1187)
+++ trunk/examples/extended/field/field04/field04.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: field04.cc,v 1.7 2007/11/02 10:53:41 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// $Id: field04.cc,v 1.11 2009/10/30 10:17:43 allison Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
@@ -45,7 +45,4 @@
 #include "G4UImanager.hh"
 
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
-
 #include "Randomize.hh"
 
@@ -65,4 +62,8 @@
 #endif
 
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
+#endif
+
 // argc holds the number of arguments (including the name) on the command line
 // -> it is ONE when only the name is  given !!!
@@ -72,16 +73,17 @@
 int main(int argc,char** argv) 
 {
-  G4bool useUItcsh = true;
-
   G4String physicsList = "QGSP_BERT";
 
-  G4int seed = 0;
+  G4int seed = 123;
   if (argc  > 2) seed = atoi(argv[argc-1]);
 
+  // Choose the Random engine
+
+  CLHEP::HepRandom::setTheEngine(new CLHEP::RanecuEngine);
   CLHEP::HepRandom::setTheSeed(seed);
 
 #ifndef WIN32
   G4int c = 0;
-  while ((c=getopt(argc,argv,"p:t")) != -1)
+  while ((c=getopt(argc,argv,"p")) != -1)
   {
      switch (c)
@@ -90,7 +92,4 @@
          physicsList = optarg;
          G4cout << "Physics List used is " <<  physicsList << G4endl;
-         break;
-       case 't': // Don't use a tcsh-style command line interface
-         useUItcsh = false;
          break;
        case ':':       /* -p without operand */
@@ -105,8 +104,4 @@
 #endif
 
-  // Choose the Random engine
-
-  CLHEP::HepRandom::setTheEngine(new CLHEP::RanecuEngine);
-  
   // My Verbose output class
 
@@ -148,5 +143,5 @@
   // Get the pointer to the User Interface manager 
 
-  G4UImanager * UI = G4UImanager::GetUIpointer();  
+  G4UImanager * UImanager = G4UImanager::GetUIpointer();  
 
 #ifndef WIN32
@@ -160,38 +155,27 @@
      {
          G4String macroFilename = argv[optind];
-         UI->ApplyCommand(command+macroFilename);
+         UImanager->ApplyCommand(command+macroFilename);
      }
   }
-  else
-  {
-     // Define (G)UI terminal for interactive mode
-     G4UIsession * session = 0;
-     if (useUItcsh)
-     {
-        // G4UIterminal is a terminal with tcsh-like control.
-        session = new G4UIterminal(new G4UItcsh);
-     }
-     else
-     {
-        // G4UIterminal is a (dumb) terminal.
-        session = new G4UIterminal();
-     }
-     session->SessionStart();
-     delete session;
-  }
 #else  // Simple UI for Windows runs, no possibility of additional arguments
-  if (argc==1)   // Define UI terminal for interactive mode  
-  { 
-     G4UIsession * session = new G4UIterminal;
-     session->SessionStart();
-     delete session;
-  }
-  else           // Batch mode
+  if (argc!=1)
   { 
      G4String command = "/control/execute ";
      G4String fileName = argv[1];
-     UI->ApplyCommand(command+fileName);
+     UImanager->ApplyCommand(command+fileName);
   }
-#endif      
+#endif
+  else  {
+     // Define (G)UI terminal for interactive mode
+#ifdef G4UI_USE
+     G4UIExecutive * ui = new G4UIExecutive(argc,argv);
+#ifdef G4VIS_USE
+     UImanager->ApplyCommand("/control/execute vis.mac");     
+#endif
+     ui->SessionStart();
+     delete ui;
+#endif
+  }
+
   // job termination
 
Index: trunk/examples/extended/field/field04/include/F04DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/field/field04/include/F04DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field04/include/F04DetectorMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: F04DetectorMessenger.hh,v 1.1 2007/10/30 02:01:47 gum Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/field/field04/include/F04PhysicsList.hh
===================================================================
--- trunk/examples/extended/field/field04/include/F04PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/field/field04/include/F04PhysicsList.hh	(revision 1230)
@@ -49,6 +49,4 @@
     virtual ~F04PhysicsList();
 
-    void ConstructParticle();
-    
     void SetCuts();
     void SetCutForGamma(G4double);
@@ -59,37 +57,19 @@
     F04StepMax* GetStepMaxProcess();
     void AddStepMax();
-    
-    /// Add physics to the Physics List    
-    void AddPhysicsList(const G4String& name);
+/*    
+    /// Remove specific physics from physics list.
+    void RemoveFromPhysicsList(const G4String&);
 
-    /// Remove specific EM physics from EM physics list.
-    void RemoveFromEMPhysicsList(const G4String&);
+    /// Make sure that the physics list is empty.
+    void ClearPhysics();
+*/
+    void ConstructParticle();
+    void ConstructProcess();
 
-    /// Remove specific Hadron physics from Hadron physics list.
-    void RemoveFromHadronPhysicsList(const G4String&);
-
-    /// Make sure that the EM physics list is empty.
-    void ClearEMPhysics();
-
-    /// Make sure that the hadron physics list is empty.
-    void ClearHadronPhysics();
-
-    void ConstructProcess();
-    void List();
-  
 private:
-
-    typedef std::vector<G4VPhysicsConstructor*>  PhysicsListVector;
-
-    void SetStandardList(G4bool flagHP = false, G4bool glauber = false);
 
     G4double fCutForGamma;
     G4double fCutForElectron;
     G4double fCutForPositron;
-
-    G4VPhysicsConstructor*  fParticleList;
-
-    PhysicsListVector* fEMPhysics;
-    PhysicsListVector* fHadronPhysics;
 
     G4double MaxChargedStep;
@@ -98,5 +78,5 @@
     F04PhysicsListMessenger* fMessenger;
 
-    G4bool fDump;
 };
+
 #endif
Index: trunk/examples/extended/field/field04/include/F04PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/field/field04/include/F04PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/field04/include/F04PhysicsListMessenger.hh	(revision 1230)
@@ -73,13 +73,8 @@
     G4UIcmdWithADoubleAndUnit* fAllCutCMD;
     G4UIcmdWithADoubleAndUnit* fStepMaxCMD;
-
-    G4UIcmdWithAString*        fAddPhysicsCMD;
-    G4UIcmdWithAString*        fRemoveEMPhysicsCMD;
-    G4UIcmdWithAString*        fRemoveHadronPhysicsCMD;
-    G4UIcmdWithoutParameter*   fClearEMPhysicsCMD;
-    G4UIcmdWithoutParameter*   fClearHadronPhysicsCMD;
-
-    G4UIcmdWithoutParameter*   fListCMD;
-
+/*
+    G4UIcmdWithAString*        fRemovePhysicsCMD;
+    G4UIcmdWithoutParameter*   fClearPhysicsCMD;
+*/
     G4UIcmdWithoutParameter* fPienuCMD;
     G4UIcmdWithoutParameter* fPimunuCMD;
